org.gjt.sp.jedit.gui

## Interface DefaultFocusComponent

- All Known Implementing Classes:
    HyperSearchResults, LogViewer, RegisterViewer, VFSBrowser

      public interface DefaultFocusComponent

  An interface that provides a method for focusing on the default component. The file system browser implements this in order to focus on the file system view by default, for example.
  Since:
    jEdit 4.2pre1

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `focusOnDefaultComponent()` Sets focus on the default component.

- - ### Method Detail

    - #### focusOnDefaultComponent

          void focusOnDefaultComponent()

      Sets focus on the default component.
      Since:
        jEdit 4.2pre1